.main-container {
    // 去除滚动条
    &::-webkit-scrollbar{width:0px;height:0px;}
    scrollbar-width: none;
    -ms-overflow-style: none;
    // transform: translateX(100px);
    position: absolute;
    top: 0;
    bottom: 0;
    width: 100%;
    overflow-y: scroll;
    overflow-x: visible;
    //padding-left: 16px;
    user-select: none;
  
    &.right-slip {
      animation: right-slip .5s forwards;
      .mask {display: block;}
      .header {
        animation: right-slip .5s forwards;
      }
    }
    &.left-slip {
      animation: left-slip .5s forwards;
      .header {
        animation: left-slip .5s forwards;
      }
    }

    .mask {
      display: none;
      position: fixed;
      top: 0;
      left: 75%;
      bottom: 0;
      right: 0;
      z-index: 1;
    }

    .header {
      position: fixed;
      top: 0;
      left: 0;
      width: 100%;
      .header-navbar {
        width: 100%;
        height: 40px;
        background-color: #8560A9;
        position: absolute;
        justify-content: space-between;
        align-items: center;
        .icon-search {
          position: absolute;
          left: 19px;
          top: 11px;
          width: 20px;
          height: 20px;
          fill: #453257;
        }
        .icon-logo-cat {
          position: absolute;
          top: 50%;
          left: 50%;
          transform: translate(-50%, -50%);
          width: 20.9px;
          height: 24px;
          fill: #D5EF7F;
        }
        img.avatar-img {
          position: absolute;
          top: 9px;
          right: 14px;
          width: 24px;
          height: 24px;
          border-radius: 50%;
        }
      }
      .header-search-res {
        position: absolute;
        top: 40px;
        width: 100%;
        height: 68px;
        background-color: #FAF9FC;
        .header-search-res-top {
          display: flex;
          justify-content: space-between;
          font-weight: bold;
          padding: 15px 30px 5px;
          span {
            color: #8560A9;
            font-size: 16px;
          }
          button {
            background-color: #D5EF7F;
            color: #67616D;
            font-size: 10px;
            outline: none;
            border: none;
            height: 24px;
            line-height: 24px;
            padding: 0 12px;
            border-radius: 12px;
          }
        }
        .header-search-res-bottom {
          color: #67616D;
          font-size: 12px;
          padding: 0 30px;
        }
      }
    }

    .events-container {
      margin-top: 40px + 16px;
  }

}

@keyframes right-slip {
  0% {left: 0;}
  100% {left: 75%;}
}

@keyframes left-slip {
  0% {left: 75%;}
  100% {left: 0;}
}